Package Details: eruption-git 0.3.2.r17.gf079e475-2

Git Clone URL: https://aur.archlinux.org/eruption-git.git (read-only, click to copy)
Package Base: eruption-git
Description: Realtime RGB LED Driver for Linux
Upstream URL: https://eruption-project.org/
Keywords: aimo driver effects eruption led lighting linux rgb roccat vulcan
Licenses: GPL3
Conflicts: eruption, eruption-roccat-vulcan
Provides: eruption
Replaces: eruption-roccat-vulcan-git
Submitter: X3n0m0rph59
Maintainer: X3n0m0rph59
Last Packager: X3n0m0rph59
Votes: 4
Popularity: 0.86
First Submitted: 2020-11-20 02:53 (UTC)
Last Updated: 2023-04-27 10:01 (UTC)

Latest Comments

X3n0m0rph59 commented on 2022-10-11 12:20 (UTC)

Thanks for reporting these issues! I have published updated packages

muhgoslav_klose commented on 2022-02-23 16:57 (UTC) (edited on 2022-02-23 17:00 (UTC) by muhgoslav_klose)

For anyone getting this on a fully updated system (strangely only rustc was 1.57):

==> Starting build()...
error: package `comfy-table v5.0.1` cannot be built because it requires rustc 1.58 or 
newer, while the currently active rustc version is 1.57.0
==> ERROR: A failure occurred in build().
    Aborting...
error: failed to build 'eruption-git-0.1.22.r299.gfca00a5-1': 
error: packages failed to build: eruption-git-0.1.22.r299.gfca00a5-1

Install rustup instead of rust and do rustup toolchain install stable-x86_64-unknown-linux-gnu. Build works fine then.

ArchFae commented on 2021-12-14 17:48 (UTC)

Having an issue building:

==> Starting build()...
error: failed to parse manifest at `/home/archfae/.cache/yay/eruption-git/src/eruption/Cargo.toml`

Caused by:
  feature `resolver` is required

  this Cargo does not support nightly features, but if you
  switch to nightly channel you can add
  `cargo-features = ["resolver"]` to enable this feature
==> ERROR: A failure occurred in build().

Is this issue related to the version of rust? I'm using the version from the main repository (1.57.0-1 as of this post).

X3n0m0rph59 commented on 2021-08-24 08:03 (UTC)

Thanks for reporting these issues! I have uploaded a new PKGBUILD.

kstor commented on 2021-08-02 17:18 (UTC)

Hi, thanks for this nice work !!! Could you update to the commit 9024ee8088b0b3f5b0c5bbeb8d4bd555f3e4fb28 please? I also have lag and this commit (I think) actually fixes that problem on my roccat tkl pro on manjaro. Thx

X3n0m0rph59 commented on 2021-02-17 11:13 (UTC)

Thanks for reporting these issues! I have uploaded a new PKGBUILD.

mpldr commented on 2021-02-17 09:08 (UTC) (edited on 2021-02-17 09:09 (UTC) by mpldr)

This is missing gtksourceview3 as a dependency.

And it may be advisable to add eruption-roccat-vulcan-git to replaces. This way users of the old package would automatically be switched to this one.